# CantDrop

## CustomFlag: CantDrop

**Description:** Prevents the item from being dropped and optionally shows a hint or broadcast.

**Parameters:**

* `hint_or_broadcast` — `hint` or `broadcast` (how message is shown).
* `message` — Text shown to the player (supports placeholders like `%name%`).
* `duration` — Duration (seconds) for the message/hint.

**Example Yaml context:**

```yaml
flag_settings:
  cant_drop_settings:
  - hint_or_broadcast: hint
    message: "You cant drop %name%!"
    duration: 10
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.uci.ucserver.it/api/customflagsettings/cantdrop.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
